< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package urls
  Definition Classes
    hmrc
- ClientSso
- Link
- NewWindow
- NoSso
- PossibleSso
- SameWindow
- ServerSso
- Target
- UrlBuilder

c

uk.gov.hmrc.urls

# Link 

###
Companion object Link

#### case class Link(url: String, value: Option[String], id: Option[String] = None, target: Target = SameWindow, sso: PossibleSso = NoSso, cssClasses: Option[String] = None, dataAttributes: Option[Map[String, String]] = None, hiddenInfo: Option[String] = None)(implicit messages: Messages) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Link
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Link(url: String, value: Option[String], id: Option[String] = None, target: Target = SameWindow, sso: PossibleSso = NoSso, cssClasses: Option[String] = None, dataAttributes: Option[Map[String, String]] = None, hiddenInfo: Option[String] = None)(implicit messages: Messages)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def buildAttributeString(attributes: Option[Map[String, String]]): String
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  val cssClasses: Option[String]
8.  val dataAttributes: Option[Map[String, String]]
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  val hiddenInfo: Option[String]
13.  val hiddenLink: String
14.  val id: Option[String]
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  val sso: PossibleSso
20.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
21.  val target: Target
22.  def toHtml: Html
23.  val url: String
24.  val value: Option[String]
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped